Discover Centmin Mod today
Register Now

Beta Branch part 9 initial prep fixes for el9 support in 130.00beta01

Discussion in 'Centmin Mod Github Commits' started by eva2000, Aug 30, 2022.

Tags:
  1. eva2000

    eva2000 Administrator Staff Member

    49,587
    11,382
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +17,686
    Local Time:
    10:36 PM
    Nginx 1.21.x
    MariaDB 10.x
    part 9 initial prep fixes for el9 support in 130.00beta01

    - hide PHP 8.1 backported EL9 system OpenSSL 3.0 compatibility workarounds for PHP 8.0 and 7.4 behind optional PHP_PATCH_OPENSSL_THREE='y' variable and disable it by default as apparently the backported fixes are minimal fixes to get it to compile properly and not 100% fixes operation wise. This update leaves the functions in place so if in future a full 100% working patch is made for PHP 7.4 and 8.0 support on EL9 systems with OpenSSL 3.0 arrives, it will be easy to re-enable using PHP_PATCH_OPENSSL_THREE='y' variable
    - hiding the backported patches by default restores previous workaround for using custom OpenSSL 1.1.1 with PHP 7.4 and 8.0 on EL9 systems with OpenSSL 3.0


    Continue reading...

    130.00beta01 branch